> ## Documentation Index
> Fetch the complete documentation index at: https://docs.proxylane.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# List locations

> Countries, and regions, cities and ISPs for a chosen country.



## OpenAPI

````yaml /resellers/openapi.json get /locations
openapi: 3.1.0
info:
  title: ProxyLane Reseller API
  version: 1.0.0
  description: Residential traffic, sub-accounts, proxy generation and static ISP IPs.
servers:
  - url: https://proxylane.dev/api/v1
security:
  - bearer: []
paths:
  /locations:
    get:
      summary: List locations
      description: Countries, and regions, cities and ISPs for a chosen country.
      operationId: listLocations
      parameters:
        - name: country
          in: query
          schema:
            type: string
            example: US
        - name: region
          in: query
          schema:
            type: string
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: object
                    properties:
                      countries:
                        type: array
                        items:
                          type: object
                          properties:
                            code:
                              type: string
                            name:
                              type: string
                      regions:
                        type: array
                        items:
                          type: object
                          properties:
                            code:
                              type: string
                            name:
                              type: string
                      cities:
                        type: array
                        items:
                          type: object
                          properties:
                            code:
                              type: string
                            name:
                              type: string
                      isps:
                        type: array
                        items:
                          type: object
                          properties:
                            code:
                              type: string
                            name:
                              type: string
        '503':
          $ref: '#/components/responses/Error'
components:
  responses:
    Error:
      description: Error
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
  schemas:
    Error:
      type: object
      properties:
        error:
          type: object
          required:
            - code
            - message
          properties:
            code:
              type: string
              example: insufficient_pool_traffic
            message:
              type: string
            available_bytes:
              type: integer
            required_cents:
              type: integer
            fields:
              type: object
            balance_cents:
              type: integer
              description: Available USD balance in cents, on ISP `insufficient_balance`
  securitySchemes:
    bearer:
      type: http
      scheme: bearer
      description: A reseller key from the panel, starting with plr_

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.